APISubscriptions
Get Subscription
Get the current subscription for an organization. Returns null if none exists.
Authorization
BearerAuth AuthorizationBearer <token>
Botyard API key — see /docs/authentication.
In: header
Path Parameters
org_id*Org Id
Response Body
application/json
curl -X GET "https://example.com/v1/orgs/string/subscriptions"{
"subscription_id": "string",
"org_id": "string",
"plan_id": "string",
"status": "trialing",
"current_period_start": "2019-08-24T14:15:22Z",
"current_period_end": "2019-08-24T14:15:22Z",
"cancel_at_period_end": true,
"canceled_at": "2019-08-24T14:15:22Z",
"billing_provider_subscription_id": "string",
"billing_provider_product_id": "string",
"plan": {
"plan_id": "string",
"name": "string",
"slug": "string",
"description": "string",
"meter_gates": [
{
"meter_key": "bot_count",
"included_units": 0,
"hard_cap": 0,
"unit_price_cents": 0
}
],
"resource_defaults": {
"property1": {
"resources": []
},
"property2": {
"resources": []
}
},
"resource_maximums": {
"property1": {
"resources": []
},
"property2": {
"resources": []
}
},
"features": [
"string"
],
"feature_set": [
"auto_suspend_opt_out"
],
"price_monthly": 0,
"price_yearly": 0,
"currency": "string",
"trial_days": 0,
"is_public": true,
"subscribable": true,
"included_ai_credit_cents": 0,
"display_order": 0,
"billing_provider_product_id": "string",
"billing_provider_yearly_product_id": "string",
"billing_provider_free_product_id": "string",
"status": "active",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"is_card_free": true
}{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"error_code": "string",
"errors": [
{
"pointer": "string",
"detail": "string",
"type": "string"
}
],
"trace_id": "string"
}Create Portal Session
Create a customer portal session for managing billing. Requires owner role. Returns a URL to the billing provider's customer portal where the user can view invoices, update payment methods, and manage their subscription.
Uncancel Subscription
Uncancel a subscription that is set to cancel at the end of the billing period. Reverses a previous cancellation — the subscription will continue to renew. Requires owner role.